//****************************************************************************
// AudioLive.java:	Applet
//
//****************************************************************************
import java.applet.*;
import java.awt.*;

//============================================================================
// Main Class for applet AudioLive
//
//============================================================================
public class AudioLive extends Applet implements Runnable
{

	Thread providerThread = null;
	UDPaudioProvider provider;
	
	public AudioLive()
	{
	}

	public String getAppletInfo()
	{
	  return "Name: AudioLive\r\n" +
	    "Author: Tomasz Stachowiak\r\n" +
	    "Created with Microsoft Visual J++ Version 1.0";
	}

	public void init()
	{
	  resize(320, 240);

	}

	public void destroy()
	{
	  provider.closeServer();
	}

	public void paint(Graphics g)
	{
	}

	public void start()
	{
		String serverName = getCodeBase().getHost();
		provider = new UDPaudioProvider(serverName, 1600);

		if(providerThread == null) {
			providerThread = new Thread(provider);
			providerThread.start();
		}
	}
	
	public void stop()
	{
		if(providerThread != null) {
			providerThread.stop();
			providerThread = null;
		}
		provider.closeServer();
	}

	public void run() {
	}

}
